# Created by pyp2rpm-3.3.7
%global pypi_name oci
%global pypi_version 2.75.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}.5
Summary:        Oracle Cloud Infrastructure Python SDK

License:        Universal Permissive License 1.0 or Apache License 2.0
URL:            https://docs.oracle.com/en-us/iaas/tools/python/latest/index.html
Source0:        https://files.pythonhosted.org/packages/source/o/%pypi_name/%pypi_name-%pypi_version.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(certifi)
BuildRequires:  (python3dist(circuitbreaker) >= 1.3.1 with python3dist(circuitbreaker) < 2~~)
BuildRequires:  (python3dist(cryptography) >= 3.2.1 with python3dist(cryptography) <= 37.0.2)
BuildRequires:  (python3dist(pyopenssl) >= 17.5 with python3dist(pyopenssl) <= 22)
BuildRequires:  (python3dist(python-dateutil) >= 2.5.3 with python3dist(python-dateutil) < 3~~)
BuildRequires:  python3dist(pytz) >= 2016.10
BuildRequires:  python3dist(setuptools)

%description
Oracle Cloud Infrastructure Python SDK.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(certifi)
Requires:       (python3dist(circuitbreaker) >= 1.3.1 with python3dist(circuitbreaker) < 2~~)
Requires:       (python3dist(cryptography) >= 3.2.1 with python3dist(cryptography) <= 37.0.2)
Requires:       (python3dist(pyopenssl) >= 17.5 with python3dist(pyopenssl) <= 22)
Requires:       (python3dist(python-dateutil) >= 2.5.3 with python3dist(python-dateutil) < 3~~)
Requires:       python3dist(pytz) >= 2016.10
%description -n python3-%{pypi_name}
Oracle Cloud Infrastructure Python SDK.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt THIRD_PARTY_LICENSES.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jul 21 2022 Oleg Girko <ol@infoserver.lv> - 2.75.1-1
- Update to 2.75.1.
* Mon Dec 20 2021 Oleg Girko <ol@infoserver.lv> - 2.53.0-1
- Initial package.
